Bug 1410828 - [RFE] Find Azure orchestration stack failure from its operations
Summary: [RFE] Find Azure orchestration stack failure from its operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.7.1
Assignee: Bill Wei
QA Contact: Jeff Teehan
URL:
Whiteboard: azure:stack
Depends On: 1410794
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-06 15:19 UTC by Satoe Imaishi
Modified: 2019-11-19 22:34 UTC (History)
4 users (show)

Fixed In Version: 5.7.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1410794
Environment:
Last Closed: 2017-02-27 19:17:11 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 15:20:54 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/909493937a794b4f3b9474df1c1a6c2924eeefe2

commit 909493937a794b4f3b9474df1c1a6c2924eeefe2
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Mon Nov 7 10:53:10 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 10:19:44 2017 -0500

    Merge pull request #12064 from bzwei/azure_orchestration_error
    
    Find Azure orchestration stack failure from its operations
    (cherry picked from commit 47390ef61906fc8d02a06f8c45e80bedc267c0b3)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1410828

 .../providers/azure/cloud_manager/deployment.rb    |  25 +++++
 .../azure/cloud_manager/orchestration_stack.rb     |   9 +-
 .../cloud_manager/orchestration_stack_spec.rb      | 103 ++++++++++++++++-----
 3 files changed, 114 insertions(+), 23 deletions(-)
 create mode 100644 app/models/manageiq/providers/azure/cloud_manager/deployment.rb

Comment 3 Jeff Teehan 2017-01-26 16:38:13 UTC
I like this a lot better.  I'm already using it just for testing.

Moving to Verified using 5.7.1.0.20170124142149_8a5f4d5 on 10.16.7.73

Comment 4 errata-xmlrpc 2017-02-27 19:17:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.